Create a new ledger
curl --request POST \
--url https://api.example.com/v1/ledgers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"code": "MAIN-USD-001",
"description": "Main USD Operating Account",
"type": "asset",
"currency_id": "550e8400-e29b-41d4-a716-446655440000",
"currency_code": "USD",
"balance_current": 100000,
"balance_available": 100000,
"overdraft_enabled": false,
"overdraft_limit": 0,
"opening_date": "2023-11-07T05:31:56Z",
"parent_ledger_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {}
}
'import requests
url = "https://api.example.com/v1/ledgers"
payload = {
"code": "MAIN-USD-001",
"description": "Main USD Operating Account",
"type": "asset",
"currency_id": "550e8400-e29b-41d4-a716-446655440000",
"currency_code": "USD",
"balance_current": 100000,
"balance_available": 100000,
"overdraft_enabled": False,
"overdraft_limit": 0,
"opening_date": "2023-11-07T05:31:56Z",
"parent_ledger_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
code: 'MAIN-USD-001',
description: 'Main USD Operating Account',
type: 'asset',
currency_id: '550e8400-e29b-41d4-a716-446655440000',
currency_code: 'USD',
balance_current: 100000,
balance_available: 100000,
overdraft_enabled: false,
overdraft_limit: 0,
opening_date: '2023-11-07T05:31:56Z',
parent_ledger_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
metadata: {}
})
};
fetch('https://api.example.com/v1/ledgers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ledger": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"description": "<string>",
"currency_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency_code": "<string>",
"balance_current": 123,
"balance_available": 123,
"overdraft_enabled": true,
"overdraft_limit": 123,
"last_activity_date": "2023-11-07T05:31:56Z",
"opening_date": "2023-11-07T05:31:56Z",
"closing_date": "2023-11-07T05:31:56Z",
"parent_ledger_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"child_ledger_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"created_at": "2023-11-07T05:31:56Z",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"modified_at": "2023-11-07T05:31:56Z",
"modified_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"active": true,
"metadata": {}
}
}{
"code": "<string>",
"message": "<string>",
"details": {}
}Management
Create a new ledger
Create a new accounting ledger with specified type and settings
POST
/
v1
/
ledgers
Create a new ledger
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Unique ledger code
Example:
"MAIN-USD-001"
Ledger description
Example:
"Main USD Operating Account"
Type of ledger
Available options:
asset, liability, equity, income, expense Example:
"asset"
Currency UUID
Example:
"550e8400-e29b-41d4-a716-446655440000"
ISO currency code
Required string length:
3Example:
"USD"
Current balance in cents
Example:
100000
Available balance in cents
Example:
100000
Enable overdraft facility
Maximum overdraft amount in cents
Ledger opening date
Parent ledger UUID
Additional metadata
Response
Ledger created successfully
Show child attributes
Show child attributes
⌘I